@charset "utf-8";
@media screen and (min-width: 671px) and (max-width: 1023px){
.header {
	float: left;
	height: auto;
	width: 100%;
}
.box-header-top {
	background-color: #98b5dd;
	float: left;
	height: auto;
	width: 100%;
	background-image: url(../images/bg-top.png);
	background-repeat: no-repeat;
	background-position: 90% center;
	background-size: 20%;
}

.logo {
	float: left;
	height: auto;
	width: 10%;
	padding-left: 5%;
}
.logo img {
	height: auto;
	width: 100%;
}
.menu {
	height: auto;
	width: 35%;
	margin-top: 2.8%;
	text-align: center;
	display: flex;
	justify-content: center;
	float: left;
	margin-left: 10%;
	border: 1px solid #FFFFFF;
	border-radius: 15px;
	padding-top: 7px;
	padding-bottom: 5px;
}
.menu-m {
	height: auto;
	width: 40%;
	margin-top: 3%;
	text-align: center;
	display: none;
	justify-content: center;
	float: left;
	margin-left: 7%;
}

.menu ul {

	width: auto;
	display: table;
	text-align: center;
	padding-top: 0.8%;
	padding-right: 1%;
	padding-bottom: 0.8%;
	padding-left: 1%;
}
.menu ul li {
	display: inline-block;
	float: none;
	list-style-type: none;
	margin-right: 2vw;
	margin-left: 2vw;
	height: auto;
	width: auto;
}
.menu ul li a {
	font-family: serithairegular;
	font-size: 1rem;
	color: #0054a6;
	text-decoration: none;
}
.menu ul li a:hover {
	font-family: serithairegular;
	font-size: 1rem;
	color: #1b1464;
	text-decoration: none;
}
.box-right {
	float: right;
	height: auto;
	width: 15%;
	margin-right: 5%;
	margin-top: 2.5%;
}

.book-top a{
	font-family: serithairegular;
	font-size: 1rem;
	color: #FFF;
	background-color: #7194cc;
	float: left;
	height: auto;
	width: 120px;
	text-align: center;
	border-radius: 25px;
	display: inline-block;
	cursor: pointer;
	text-decoration: none;
	padding-top: 15px;
	padding-right: 15px;
	padding-bottom: 12px;
	padding-left: 15px;
	margin-top: 1%;
}
.book-top a:hover{
	background-color: #3A61A0;
}
.lg {
	font-family: serithairegular;
	font-size: 1rem;
	color: #333;
	text-align: center;
	float: right;
	height: auto;
	width: 10%;
	margin-top: 6%;
	margin-right: 2%;
}
.btn-lg {
	font-family: serithairegular;
	font-size: 1rem;
	color: #333;
	text-align: center;
	height: auto;
	width: 50px;
	background-color: #FFFFFF;
	border-top-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-left-width: 0px;
	border-radius: 25px;
	padding-top: 5px;
	padding-right: 3px;
	padding-bottom: 3px;
	padding-left: 3px;
}
.banner {
	float: left;
	height: auto;
	width: 100%;
}
.banner-m {
	float: left;
	height: auto;
	width: 100%;
	display: none;
}
.banner #banner-01 .splide__track .splide__list .splide__slide img {
	height: auto;
	width: 100%;
}
.banner #banner-02 .splide__track .splide__list .splide__slide img {
	height: auto;
	width: 100%;
}
.banner-m #banner-01 .splide__track .splide__list .splide__slide img {
	height: auto;
	width: 100%;
}
.banner-m #banner-02 .splide__track .splide__list .splide__slide img {
	height: auto;
	width: 100%;
}
.box-booknow-all {
	background-color: #eceef0;
	float: left;
	height: auto;
	width: 100%;
	padding-bottom: 2%;
}
.box-booknow-all-02 {
	background-color: #eceef0;
	float: left;
	height: auto;
	width: 100%;
}
.box-booknow-all-03 {
	float: left;
	height: auto;
	width: 100%;
}


.box-booknow-all-in {
	float: left;
	height: auto;
	width: 97%;
	background-color: #98b5dd;
	border-radius: 25px;
	margin-top: -60px;
	padding-left: 3%;
	z-index: 9999;
	position: relative;
}
.box-booknow-all-in-02 {
	float: left;
	height: auto;
	width: 97%;
	background-color: #98b5dd;
	border-radius: 25px;
	margin-top: 1%;
	margin-bottom: 1%;
	padding-left: 3%;
}

.box-date {
	float: left;
	height: auto;
	width: 20%;
	margin: 2%;
}
.text-date {
	font-family: serithairegular;
	font-size: 1rem;
	color: #FFF;
	float: left;
	height: auto;
	width: 100%;
}
.select-date {
	float: left;
	height: auto;
	width: 100%;
	margin-top: 1%;
}


#input_from {
	font-family: Tahoma, Geneva, sans-serif;
	font-size: 1.2vw;
	width: 100%;
	padding-top: 2%;
	padding-bottom: 2%;
	background-image: url(../images/icon-calendar.png);
	background-repeat: no-repeat;
	background-position: 95% center;
	background-size: 8%;
	border-radius: 25px;
	border: 1px solid #CCC;
	padding-left: 20px;
}
#input_to {
	font-family: Tahoma, Geneva, sans-serif;
	font-size: 1.2vw;
	width: 100%;
	padding-top: 2%;
	padding-bottom: 2%;
	background-image: url(../images/icon-calendar.png);
	background-repeat: no-repeat;
	background-position: 95% center;
	background-size: 8%;
	border-radius: 25px;
	border: 1px solid #CCC;
	padding-left: 20px;
}
.box-select-01 {
	float: left;
	height: auto;
	width: 8%;
	margin-top: 2%;
	margin-left: 1%;
}
.text-select {
	font-family: serithairegular;
	font-size: 1rem;
	color: #FFF;
	text-align: center;
	float: left;
	height: auto;
	width: 100%;
	margin-bottom: 4%;
}
.select-num {
	float: left;
	height: auto;
	width: 100%;
}
.btn-select-01 {
	font-family: serithairegular;
	font-size: 1rem;
	color: #333;
	height: auto;
	width: 60%;
	text-align: center;
	margin-left: 20%;
	border-radius: 25px;
	border: 1px solid #CCC;
	padding-top: 7px;
	padding-bottom: 7px;
}
.book-center {
	float: right;
	height: auto;
	width: auto;
	margin-top: 2.5%;
	margin-right: 5%;
}
.btn-book-center {
	background-color: #7194cc;
	text-align: center;
	height: auto;
	width: 160px;
	padding-top: 15px;
	padding-right: 15px;
	padding-bottom: 12px;
	padding-left: 15px;
	border-top-width: 0px;
	border-right-width: 0px;
	border-bottom-width: 0px;
	border-left-width: 0px;
	font-family: serithairegular;
	font-size: 1rem;
	color: #FFF;
	border-radius: 25px;
}
.btn-book-center:hover {
	color: #FFFFFF;
	text-decoration: none;
	background-color: #3A61A0;
}

.fade-up {
  opacity: 0;
  transform: translateY(30px);
  transition: all 0.8s ease-out; /* ใช้ transition หรือ animation ก็ได้ */
}

/* 2. เมื่อมี class 'show' ให้ขยับกลับที่เดิมและแสดงตัว */
.fade-up.show {
  opacity: 1;
  transform: translateY(0);
}
@keyframes slideUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.animate-now {
  animation: slideUp 0.8s ease-out forwards;
}
}
}